--
-- NOTE: this script is executed by the execsql processor, 
-- using the ODBC alias specified in the configuration file.
--
-- The following query dumps raw informations about the
-- resource models and profiles loaded into the ITM database.
--
SELECT DISTINCT
 E.HOST_NAME                 AS HOST_NAME,
 SUBSTR(CATEGORY,1,30)       AS CATEGORY, 
 SUBSTR(PROFILE,1,30)        AS PROFILE, 
 SUBSTR(RESOURCE_MODEL,1,20) AS RESOURCE_MODEL
FROM RMPROFILES RM, ENDPOINTS E
WHERE RM.EID = E.EID
ORDER BY E.HOST_NAME
;

SELECT 
 MAX(INSERT_SEQ) AS MAX_INSERT_SEQ
FROM RMPROFILES
;
