--
-- NOTE: this script is executed by the execsql processor, 
-- using the ODBC alias specified in the configuration file.
--
-- Show the hierarchical organizazion of the discovered components
--
SELECT 
 C1.COMPTYP_CD AS PARENT_COMPTYP_CD,
 C2.COMPTYP_CD AS CHILD_COMPTYP_CD
FROM
 TWG.COMP C1, TWG.COMP C2, TWG.COMPRELN CR
WHERE
 C1.COMP_ID = CR.COMP_SOURCE_ID AND
 C2.COMP_ID = CR.COMP_TARGET_ID AND
 CR.RELNTYP_CD = 'PCHILD'
;
