--
-- NOTE: this script is executed by the execsql processor, 
-- using the ODBC alias specified in the configuration file.
-- 
-- Dump of the Extract Control Table used by ETL processes
--
VALUES('Extract Control Table');
SELECT
  SUBSTR(Extctl_Source,1,30)           AS Extctl_Source,
  SUBSTR(Extctl_Target,1,30)           AS Extctl_Target,
  SUBSTR(CHAR(Extctl_From_Intseq),1,6) AS Extctl_From_Intseq,
  SUBSTR(CHAR(Extctl_To_Intseq),1,6)   AS Extctl_To_Intseq
FROM
  TWG.Extract_Control
;
--
-- History of the ETL extractions
--
VALUES('Extract Log Table');
SELECT
  SUBSTR(EXTLOG_SOURCE,1,30)           AS EXTLOG_SOURCE,
  SUBSTR(EXTLOG_TARGET,1,30)           AS EXTLOG_TARGET,
  SUBSTR(CHAR(EXTLOG_FROM_INTSEQ),1,4) AS EXTLOG_FROM_INTSEQ,
  SUBSTR(CHAR(EXTLOG_TO_INTSEQ),1,4)   AS EXTLOG_TO_INTSEQ ,
  EXTLOG_DONE_DTTM                     AS EXTLOG_DONE_DTTM 
FROM
  TWG.EXTRACT_LOG
ORDER BY 
  EXTLOG_DONE_DTTM
;
