--
-- NOTE: this script is executed by the execsql processor, 
-- using the ODBC alias specified in the configuration file.
--
-- The following query dumps raw informations about the
-- endpoints loaded into the ITM database.
--
SELECT
 EID, 
 SUBSTR(HOST_NAME,1,40)      AS HOST_NAME, 
 SUBSTR(IP_ADDRESS,1,15)     AS IP_ADDRESS, 
 SUBSTR(ENDPOINT_LABEL,1,20) AS ENDPOINT_LABEL, 
 GMT_OFFSET                  AS GMT_OFFSET
FROM ENDPOINTS
;

SELECT 
 MAX(EID) AS MAX_EID
FROM ENDPOINTS
;

